Album: Brobots
Style: single
Date: April 13, 2024
Date Added: April 13, 2024
Artists:
- meadowsofmoo
Cover Artists:
- meadowsofmoo
Art Tags:
- Battlefield
- Sburb
URLs:
- https://soundcloud.com/meadowsofmoo/brobots
- https://www.youtube.com/watch?v=nry1WCJxvus
- https://www.newgrounds.com/audio/listen/1316663
Groups:
- Fandom
Color: '#de4643'
---
Track: Brobots
Additional Names:
- Name: >-
    Brobots - Friday Night Funkin' Fan Song
  Annotation: >-
    [SoundCloud](https://soundcloud.com/meadowsofmoo/brobots)
- Name: >-
    Brobots【Friday Night Funkin' x Homestuck Fan Song】
  Annotation: >-
    [YouTube](https://www.youtube.com/watch?v=nry1WCJxvus)
- Name: >-
    Brobots
  Annotation: >-
    [Newgrounds](https://www.newgrounds.com/audio/listen/1316663)
Duration: 2:37
Referenced Tracks:
- Beatdown (Strider Style)
Sampled Tracks:
- Let's Read Homestuck - Act 6 (Act 5) - Act 1 - Part 3
Lyrics: |-
    (YO YO D-STRIZZLE, DO YOU WANT TO PLAY A GAME?)
    (No, I really don't! \*le sign\* Fuck it.)

    (WRONG!)
    (What!?)
    (TRY AGAIN!)

    (WRONG!)
    (What!?)
    (TRY AGAIN!)

    (TH-TH-THANKS FOR PLAYING...)
Commentary: |-
    <i>meadowsofmoo:</i> ([YouTube description](https://www.youtube.com/watch?v=nry1WCJxvus), excerpt)

    hopy shit I started this song in september last year... i suuuck at being consistent

    Vocals:<br>
    Dirk Strider - Made by [[artist:bb-panzu|BBPanzu]] [[album:fnf-colors-and-mayhem-vol-1|[Colors & Mayhem\]]]<br>
    Squarewave - Made by Me... It's legit a Speak & Spell

    Dirks voice lines are from the Voice Over Nexus Homestuck reading.

    <i>meadowsofmoo:</i> ([Newgrounds Author Comments](https://www.newgrounds.com/audio/listen/1316663), excerpt)

    Based off [[flash:4541|[S] RAP-OFF!!!!!!!!!!]]

    I started this song September last year and it sat there, pretty much done for like 3 whole ass months 😭😭
